Skip to main content
`Ctrl`+`K`

# MatGetBlockSize

Returns the matrix block size.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetBlockSize(Mat mat, PetscInt *bs)

Not Collective

## Input Parameter

- mat - the matrix

## Output Parameter

- bs - block size

## Notes

Block row formats are `MATBAIJ` and `MATSBAIJ` ALWAYS have square block storage in the matrix.

If the block size has not been set yet this routine returns 1.

## See Also

Matrices, `Mat`, `MATBAIJ`, `MATSBAIJ`, `MatCreateSeqBAIJ()`, `MatCreateBAIJ()`, `MatGetBlockSizes()`

## Level

intermediate

## Location

src/mat/interface/matrix.c

## Examples

src/ksp/ksp/tutorials/ex76.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages